package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.MscStdPicMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_STD_PIC", namespace=MscStdPicMapper.class)
public class MscStdPic extends BaseVO implements Serializable {

	/** 材质标准索引号 */
	@Id
	private String pic;

	/** 产品规范码 */
	@Column
	private String psc;

	/** 标准类型(G:国标/国际/协议,K:客户,N:内控) */
	@Column
	private String stdstyle;

	/** 内控标准代码 */
	@Column("STD_CODE_NK")
	private String stdCodeNk;

	/** 内控标准名称 */
	@Column("STD_NAME_NK")
	private String stdNameNk;

	/** 适用工序代码(内控用) */
	@Column("PROCESS_CDOE")
	private String processCdoe;

	/** 适用工序名称(内控用) */
	@Column("PROCESS_DESC")
	private String processDesc;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(3:已审核，2:提交审核，1:录入状态，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 冶金规范码 */
	@Column
	private String msc;

	/** 扣型集合代码 */
	@Column("MODEL_CODE")
	private String modelCode;

	/** 扣型集合描述 */
	@Column("MODEL_DESC")
	private String modelDesc;

	/** 产品大类(4049) */
	@Column("PRODUC_HEAD")
	private String producHead;

	/** 接箍码(冶金规范码下面接箍码维护交货标准时用) */
	@Column("CODE_JG")
	private String codeJg;

	/** 牌号代码 */
	@Column
	private String steelcode;

	/** 牌号名称 */
	@Column
	private String steelname;

	/** 钢种代码集合 */
	@Column
	private String gradecode;

	/** 钢种名称集合 */
	@Column
	private String gradename;

	/** 组批位置 (4085) */
	@Column("BATCH_LOCA")
	private String batchLoca;

	/** 牌号代码集合（内控） */
	@Column("STEELCODE_NK")
	private String steelcodeNk;

	/** 牌号名称集合（内控） */
	@Column("STEELNAME_NK")
	private String steelnameNk;

	/** 扣型代码集合（内控用） */
	@Column("MODEL_CODE_NK")
	private String modelCodeNk;

	/** 扣型名称集合（内控用） */
	@Column("MODEL_DESC_NK")
	private String modelDescNk;

	/** 品名集合（内控） */
	@Column("PRODUCCODE_NK")
	private String produccodeNk;

	/** 品名集合（内控） */
	@Column("PRODUCNAME_NK")
	private String producnameNk;

	/** 客户编码（内控） */
	@Column("CUSTOMER_NO")
	private String customerNo;

	/** 客户名称（内控） */
	@Column("CUSTOMER_NM")
	private String customerNm;

	/** 状态代码（内控） */
	@Column("STD_STYLE")
	private String stdStyle;

	/** 状态描述（内控） */
	@Column("STD_STYLE_DESC")
	private String stdStyleDesc;

	public String getPic() {
		return this.pic;
	}

	public String getPsc() {
		return this.psc;
	}

	public String getStdstyle() {
		return this.stdstyle;
	}

	public String getStdCodeNk() {
		return this.stdCodeNk;
	}

	public String getStdNameNk() {
		return this.stdNameNk;
	}

	public String getProcessCdoe() {
		return this.processCdoe;
	}

	public String getProcessDesc() {
		return this.processDesc;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getMsc() {
		return this.msc;
	}

	public String getModelCode() {
		return this.modelCode;
	}

	public String getModelDesc() {
		return this.modelDesc;
	}

	public String getProducHead() {
		return this.producHead;
	}

	public String getCodeJg() {
		return this.codeJg;
	}

	public String getSteelcode() {
		return this.steelcode;
	}

	public String getSteelname() {
		return this.steelname;
	}

	public String getGradecode() {
		return this.gradecode;
	}

	public String getGradename() {
		return this.gradename;
	}

	public String getBatchLoca() {
		return this.batchLoca;
	}

	public String getSteelcodeNk() {
		return this.steelcodeNk;
	}

	public String getSteelnameNk() {
		return this.steelnameNk;
	}

	public String getModelCodeNk() {
		return this.modelCodeNk;
	}

	public String getModelDescNk() {
		return this.modelDescNk;
	}

	public String getProduccodeNk() {
		return this.produccodeNk;
	}

	public String getProducnameNk() {
		return this.producnameNk;
	}

	public String getCustomerNo() {
		return this.customerNo;
	}

	public String getCustomerNm() {
		return this.customerNm;
	}

	public String getStdStyle() {
		return this.stdStyle;
	}

	public String getStdStyleDesc() {
		return this.stdStyleDesc;
	}

	public void setPic(String pic) {
		this.pic = pic;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setStdstyle(String stdstyle) {
		this.stdstyle = stdstyle;
	}

	public void setStdCodeNk(String stdCodeNk) {
		this.stdCodeNk = stdCodeNk;
	}

	public void setStdNameNk(String stdNameNk) {
		this.stdNameNk = stdNameNk;
	}

	public void setProcessCdoe(String processCdoe) {
		this.processCdoe = processCdoe;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}

	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	public void setProducHead(String producHead) {
		this.producHead = producHead;
	}

	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	public void setBatchLoca(String batchLoca) {
		this.batchLoca = batchLoca;
	}

	public void setSteelcodeNk(String steelcodeNk) {
		this.steelcodeNk = steelcodeNk;
	}

	public void setSteelnameNk(String steelnameNk) {
		this.steelnameNk = steelnameNk;
	}

	public void setModelCodeNk(String modelCodeNk) {
		this.modelCodeNk = modelCodeNk;
	}

	public void setModelDescNk(String modelDescNk) {
		this.modelDescNk = modelDescNk;
	}

	public void setProduccodeNk(String produccodeNk) {
		this.produccodeNk = produccodeNk;
	}

	public void setProducnameNk(String producnameNk) {
		this.producnameNk = producnameNk;
	}

	public void setCustomerNo(String customerNo) {
		this.customerNo = customerNo;
	}

	public void setCustomerNm(String customerNm) {
		this.customerNm = customerNm;
	}

	public void setStdStyle(String stdStyle) {
		this.stdStyle = stdStyle;
	}

	public void setStdStyleDesc(String stdStyleDesc) {
		this.stdStyleDesc = stdStyleDesc;
	}

}
